TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

NewtonPolygon ( elt-alg^pol f, elt-ids^int/ord^num p ) -> newtgon

### Optional Arguments

Faces | string |  | "All" or "Inner" or "Lower"

### Description

<shortdoc> The newton polygon of the algebraic polynomial with respect to the prime ideal p. </shortdoc>

### Examples

x_ord := MaximalOrder(X^3 - 299*X - 2403); x_idl := 3*x_ord + Coerce(x_ord, [-5, -5, 7])*x_ord; x_pol := PolynomialAlgebra(x_ord); x_x := x_pol.1; NewtonPolygon(5*x_x^2 - 5, x_idl);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack